Upstream information

CVE-2008-3949 at MITRE

Description

emacs/lisp/progmodes/python.el in Emacs 22.1 and 22.2 imports Python script from the current working directory during editing of a Python file, which allows local users to execute arbitrary code via a Trojan horse Python file.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.2
Vector AV:L/AC:L/Au:N/C:C/I:C/A:C
Access Vector Local
Access Complexity Low
Authentication None
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
SUSE Bugzilla entry: 424340 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
openSUSE 11.0
  • emacs-debuginfo >= 22.2-24.2
  • emacs-debugsource >= 22.2-24.2
openSUSE 11.0
  • emacs >= 22.2-24.2
  • emacs-el >= 22.2-24.2
  • emacs-info >= 22.2-24.2
  • emacs-nox >= 22.2-24.2
  • emacs-x11 >= 22.2-24.2